DebugCacheListener (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.util, class: DebugCacheListener

Package org.apache.geode.modules.util

# Class DebugCacheListener

java.lang.Object
org.apache.geode.cache.util.CacheListenerAdapter
org.apache.geode.modules.util.DebugCacheListener

All Implemented Interfaces:
  `CacheCallback`, `CacheListener`, `Declarable`

public class DebugCacheListener extends CacheListenerAdapter implements Declarable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DebugCacheListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterCreate(EntryEvent event)`
  Handles the event of new key being added to a region.
  `void`
  `afterDestroy(EntryEvent event)`
  Handles the event of an entry being destroyed.
  `void`
  `afterInvalidate(EntryEvent event)`
  Handles the event of an entry's value being invalidated.
  `void`
  `afterUpdate(EntryEvent event)`
  Handles the event of an entry's value being modified in a region.
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`

  ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

  `afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, close`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.geode.cache.Declarable

  `init, initialize`

- ## Constructor Details

  - ### DebugCacheListener

    public DebugCacheListener()

- ## Method Details

  - ### afterCreate

    public void afterCreate(EntryEvent event)
    Description copied from interface: `CacheListener`
    Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
    Specified by:
      `afterCreate` in interface `CacheListener`
    Overrides:
      `afterCreate` in class `CacheListenerAdapter`
    Parameters:
      `event` - the EntryEvent
    See Also:
      - `Region.create(Object, Object)`
      - `Region.put(Object, Object)`
      - `Region.get(Object)`

  - ### afterUpdate

    public void afterUpdate(EntryEvent event)
    Description copied from interface: `CacheListener`
    Handles the event of an entry's value being modified in a region. This entry previously existed in this region in the local cache, but its previous value may have been null.
    Specified by:
      `afterUpdate` in interface `CacheListener`
    Overrides:
      `afterUpdate` in class `CacheListenerAdapter`
    Parameters:
      `event` - the EntryEvent
    See Also:
      - `Region.put(Object, Object)`

  - ### afterInvalidate

    public void afterInvalidate(EntryEvent event)
    Description copied from interface: `CacheListener`
    Handles the event of an entry's value being invalidated.
    Specified by:
      `afterInvalidate` in interface `CacheListener`
    Overrides:
      `afterInvalidate` in class `CacheListenerAdapter`
    Parameters:
      `event` - the EntryEvent
    See Also:
      - `Region.invalidate(Object)`

  - ### afterDestroy

    public void afterDestroy(EntryEvent event)
    Description copied from interface: `CacheListener`
    Handles the event of an entry being destroyed.
    Specified by:
      `afterDestroy` in interface `CacheListener`
    Overrides:
      `afterDestroy` in class `CacheListenerAdapter`
    Parameters:
      `event` - the EntryEvent
    See Also:
      - `Region.destroy(Object)`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`